---
title: "Create a company location catalog"
description: >
  Create a company location catalog to configure the products and variant prices available at the company location.
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/create-a-company-location-catalog'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/create-a-company-location-catalog.md'
---
# Create a company location catalog

Create a company location catalog to configure the products and variant prices available at the company location.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /company_location_catalog/create.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_products`

## Request

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `auto_add_product`

  boolean

  Whether newly added products should automatically be included in the catalog.
  - `true`: Automatically include
  - `false`: Do not automatically include
  
  Default value: `false`

* `company_location_ids`

  array<string>

  List of company location IDs. Invalid IDs will be filtered out.  
  Maximum size: 100

* `currency_code`

  string

  Product currency. When the value of this parameter is empty, store currency is used. The value of this parameter is a three-letter currency code that follows the  [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`. 

* `status`

  integer

  The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.

* `title`

  string

  Specify the title of the catalog.  
  Maximum length：250

* `adjustment_type`

  integer

  The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.

* `adjustment_value`

  integer

  The adjustment value based on `adjustment_type`, formatted as a percentage.
  - When decreasing the price, the value is limited to 0-100.
  - When increasing the price, the value is limited to 0-10,000.

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `catalog_id`

  string

  The ID of the company location catalog.  
  Maximum length: 19


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Create a company location catalog to configure the products and variant prices available at the company location.",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "l96yJlRA",
  "parameters": [
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "auto_add_product": {
              "name": "auto_add_product",
              "description": "Whether newly added products should automatically be included in the catalog.\n- `true`: Automatically include\n- `false`: Do not automatically include\n\nDefault value: `false`",
              "type": "boolean",
              "example": true
            },
            "company_location_ids": {
              "name": "company_location_ids",
              "description": "List of company location IDs. Invalid IDs will be filtered out.  \nMaximum size: 100",
              "type": "array",
              "items": {
                "name": "company_location_ids",
                "description": "List of company location IDs. Invalid IDs will be filtered out.  \nMaximum size: 100",
                "type": "string",
                "example": "6598085940706559169"
              },
              "example": [
                "6598085940706559169"
              ]
            },
            "currency_code": {
              "name": "currency_code",
              "description": "Product currency. When the value of this parameter is empty, store currency is used. The value of this parameter is a three-letter currency code that follows the  [ISO 4217](https://www.iso.org/iso-4217-currency-codes.html) standard. For example, `USD`. ",
              "type": "string",
              "example": "CNY"
            },
            "status": {
              "name": "status",
              "description": "The status of the specified catalog, with a value of `1` representing active status and a value of `2` representing draft status.",
              "type": "integer",
              "example": 1
            },
            "title": {
              "name": "title",
              "description": "Specify the title of the catalog.  \nMaximum length：250",
              "type": "string",
              "example": "A catalog title"
            },
            "adjustment_type": {
              "name": "adjustment_type",
              "description": "The type of percentage adjustment, with a value of `1` for decreasing the price and a value of `2` for increasing the price.",
              "type": "integer",
              "example": 1
            },
            "adjustment_value": {
              "name": "adjustment_value",
              "description": "The adjustment value based on `adjustment_type`, formatted as a percentage.\n- When decreasing the price, the value is limited to 0-100.\n- When increasing the price, the value is limited to 0-10,000.",
              "type": "integer",
              "example": 50
            }
          },
          "required": [
            "adjustment_type",
            "adjustment_value",
            "status",
            "title"
          ],
          "example": {
            "adjustment_type": 1,
            "adjustment_value": 50,
            "auto_add_product": true,
            "company_location_ids": [
              "6598085940706559169"
            ],
            "currency_code": "CNY",
            "status": 1,
            "title": "A catalog title"
          }
        },
        "examples": {
          "Create a company location catalog": {
            "description": "Create a company location catalog",
            "value": {
              "adjustment_type": "1",
              "adjustment_value": "50",
              "auto_add_product": "true",
              "company_location_ids": [
                "6598085940706559169"
              ],
              "currency_code": "CNY",
              "status": "1",
              "title": "A catalog title"
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "catalog_id": {
                "name": "catalog_id",
                "description": "The ID of the company location catalog.  \nMaximum length: 19",
                "type": "string",
                "example": "6598087148213149672"
              }
            },
            "example": {
              "catalog_id": "6598087148213149672"
            }
          },
          "examples": {
            "Create a company location catalog": {
              "description": "Create a company location catalog",
              "value": {
                "catalog_id": "6727643236200660224"
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/company_location_catalog/create.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Create a company location catalog",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_products"
  ]
}
```